%define module_version 0.04
%define module_name Filter-Rijndael
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/Rijndael.pm) perl(Digest/SHA.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt2.1
Summary: Source Filter used for encrypting source code based on Filter::decrypt
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AS/ASP/%{module_name}-%{module_version}.tar.gz

%description
This is a decrypting source filter based on Rijndael encryption.

The purpose of this source filter is to hide the source code from a *casual user*
that would want to change your code.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc ChangeLog README
%perl_vendor_archlib/F*
%perl_vendor_autolib/*

#%files scripts
#%_bindir/*

%changelog
* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.04-alt2
- rebuild to get rid of unmets

* Wed Oct 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Tue Sep 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

